//  bugtest
function OnInit(initData)
{
	initData.name = "bugtest";
	var version = "1.0";
	var version_date = "23rd January, 2018";
	initData.desc = "Simple Bug Test Shell";
	initData.copyright = "(c) 2018 Aussie";
	initData.default_enable = true;
	
	var cmd = initData.AddCommand();
	cmd.name = initData.name;
	cmd.method = "do_main";
	cmd.desc = initData.desc;
	cmd.label = initData.name;
	cmd.template = "parms/m";

	// Define defaults for things the user can configure via Preferences --> Scripts
	var cfg = new CfgHelper(initData);
	cfg.add("dbg",true);
	
	// Based on original code by @tbone at http://resource.dopus.com/viewtopic.php?f=35&t=22979
	function CfgHelper(d){
		this.d = d; this.name = null;
		if (d.config_desc==undefined) d.config_desc=DOpus.Create.Map();
		this.add = function(name, val, description){
			if (name==undefined) return this; // if name not supplied, exit immediately
			this.name=name; // needed later to add corresponding value(s) and/or description
			return this.addval(val).setdesc(description);
		}
		this.addvec = function(name){
			if (name==undefined) return this; // if name not supplied, exit immediately
			this.name=name; // needed later to add corresponding value(s) and/or description
			return this.addval(DOpus.Create.Vector); // create an empty vector
		}
		this.addval = function(val){
			if (this.name==undefined) return this; // need to add value to something
			if (typeof this.d.config[this.name]=="object") {
					if (val!=undefined) this.d.config[this.name].push_back(val);
			}
			else this.d.config[this.name]=(val==undefined)?false:val; // default value = FALSE
			return this;
		}
		this.setdesc = function(description){
			if (this.name==undefined) return this; // need to add description to something
			d.config_desc(this.name)=(description==undefined)?null:description;
			return this
		}
	}
}

var dbg;
	
function do_main(clickData)
{
	// --------------------------------------------------------
	dbg = Script.config.dbg;
	// --------------------------------------------------------
	var src = clickData.func.sourcetab;
	var dlg = clickData.func.dlg;
	if (src.selected.count>1){
		var msg = "This command can only process a single selected item";
		var title = "More than one item is selected";
		dlg.request(msg,"OK",title);
		return false;
	}
}